Name:		apache-tomcat-apis
Version:	0.1
Release:	%mkrel 5
Summary:	Tomcat Servlet and JSP APIs

Group:		Development/Java
License:	ASL 2.0
URL:		http://tomcat.apache.org/
Source0:	%{name}-%{version}.tar.bz2
# These MANIFESTs come from the Eclipse Orbit project
# http://eclipse.org/orbit
Source1:	%{name}-servlet2.4-OSGi-MANIFEST.MF
Source2:	%{name}-jsp2.0-OSGi-MANIFEST.MF
Source3:	%{name}-servlet2.5-OSGi-MANIFEST.MF
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:	noarch
BuildRequires:	ant
Buildrequires:  java-devel >= 0:1.6.0
Buildrequires:  zip
# For %%{_javadir} definition
Requires:       jpackage-utils

%description
Apache Tomcat's Servlet 2.4/JSP 2.0 and Servlet 2.5/JSP 2.1 APIs.

%prep
%setup -q

%build
pushd servlet2.4jsp2.0
cd jsr154
ant jar
pushd dist/lib
# inject OSGi manifest
unzip -q servlet-api.jar
cp -p %{SOURCE1} META-INF/MANIFEST.MF
zip -qr servlet-api.jar javax META-INF
popd

cd ../jsr152
ant jar
pushd dist/lib
# inject OSGi manifest
unzip -q jsp-api.jar
cp -p %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -qr jsp-api.jar javax META-INF
popd
popd

pushd servlet2.5jsp2.1
ant
cd output
# inject OSGi manifest
unzip -q servlet-api.jar
cp -p %{SOURCE3} META-INF/MANIFEST.MF
zip -qr servlet-api.jar javax META-INF
popd

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}/%{_javadir}/%{name}
install -m 644 \
  servlet2.4jsp2.0/jsr154/dist/lib/servlet-api.jar \
  %{buildroot}/%{_javadir}/%{name}/tomcat-servlet2.4-api.jar
install -m 644 \
  servlet2.4jsp2.0/jsr152/dist/lib/jsp-api.jar \
  %{buildroot}/%{_javadir}/%{name}/tomcat-jsp2.0-api.jar
install -m 644 \
  servlet2.5jsp2.1/output/servlet-api.jar \
  %{buildroot}/%{_javadir}/%{name}/tomcat-servlet2.5-api.jar
install -m 644 \
  servlet2.5jsp2.1/output/jsp-api.jar \
  %{buildroot}/%{_javadir}/%{name}/tomcat-jsp2.1-api.jar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc servlet2.4jsp2.0/jsr152/dist/LICENSE
%{_javadir}/%{name}/tomcat-servlet2.4-api.jar
%{_javadir}/%{name}/tomcat-jsp2.0-api.jar
%{_javadir}/%{name}/tomcat-servlet2.5-api.jar
%{_javadir}/%{name}/tomcat-jsp2.1-api.jar



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 502547
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 345904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0.1-3.mga3
+ Revision: 326674
- Build with Java7

* Thu Mar 31 2011 ennael <ennael> 0.1-2.mga1
+ Revision: 79206
- fix group (#507)

* Mon Mar 07 2011 dmorgan <dmorgan> 0.1-1.mga1
+ Revision: 65976
- imported package apache-tomcat-apis


* Tue Feb 02 2010 Andrew Overholt <overholt@redhat.com> 0.1-1
- Initial package
